// Sylvain MARECHAL
// sylvain.marechal1@libertysurf.fr
// Rev. 01/07/2005
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;


namespace tetris
{
    /// <summary>
    /// Form permettant l'ajout d'un score
    /// </summary>
    public partial class FormAddScore : Form
    {
        /// <summary>
        /// Constructeur
        /// </summary>
        public FormAddScore()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Renvoie le nom saisi
        /// </summary>
        public string Nom
        {
            get { return txtNom.Text; }
        }

        /// <summary>
        /// On ne stocke le score que si l'utilisateur clique sur fermer
        /// et pas sur 'X'
        /// Dans cet evt, on positionne donc la valeur de retour a OK
        /// </summary>
        /// <param name="sender">Pas utilise</param>
        /// <param name="e">Pas utilise</param>
        private void btFermer_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            Close();
        }

        /// <summary>
        /// Le bouton est degrise si il y a qqchose de saisi
        /// </summary>
        /// <param name="sender">Pas utilise</param>
        /// <param name="e">Pas utilise</param>
        private void txtNom_TextChanged(object sender, EventArgs e)
        {
            if (txtNom.Text.Trim().Length == 0)
            {
                btFermer.Enabled = false;
            }
            else
            {
                btFermer.Enabled = true;
            }
        }
    }
}