// Sylvain MARECHAL
// sylvain.marechal1@libertysurf.fr
// Rev. 01/07/2005
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace tetris
{
    /// <summary>
    /// Permet a l'utilisateur de changer la langue de l'interface
    /// </summary>
    public partial class FormLang : Form
    {
        /// <summary>
        /// Renvoie la langue a utiliser
        /// </summary>
        /// <returns>La langue a utiliser</returns>
        public string Langue
        {
            get { return comboLang.Text; }
        }

        /// <summary>
        /// Constructeur
        /// </summary>
        /// <param name="langue">La langue a initialiser</param>
        public FormLang( string langue)
        {
            InitializeComponent();
            comboLang.Text = langue;
        }

        /// <summary>
        /// On ne stocke la culture clique sur fermer
        /// et pas sur 'X'
        /// Dans cet evt, on positionne donc la valeur de retour a OK
        /// </summary>
        /// <param name="sender">Pas utilise</param>
        /// <param name="e">Pas utilise</param>
        private void btFermer_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            Close();
        }
    }
}