// Sylvain MARECHAL
// sylvain.marechal1@libertysurf.fr
// Rev. 01/07/2005
namespace tetris
{
    /// <summary>
    /// Interface contenant les methodes necessaires a l'affichage
    /// des pieces et des infos
    /// </summary>
    public interface ITetrisGraphics
    {
        /// <summary>
        /// Affichage du score, du niveau et de l'apercu
        /// </summary>
        /// <param name="score">Score</param>
        /// <param name="niveau">Niveau</param>
        /// <param name="prochainePiece">Prochaine piece</param>
        void AfficheInfos(int score, int niveau, TetrisCore.TetrisValeur prochainePiece);

        /// <summary>
        /// Affichage d'un lment du tableau
        /// </summary>
        /// <param name="ligne">la ligne</param>
        /// <param name="colonne">la colonne</param>
        /// <param name="couleur">la couleur</param>
        void AfficheMorceauPiece(int ligne, int colonne, TetrisCore.TetrisValeur couleur);

        /// <summary>
        /// Affichage de tout le tableau
        /// </summary>
        void AfficheTetris();
    }
}
