using System;
using System.Collections.Generic;
using System.Text;
using System.Resources;

namespace tetris
{
    /// <summary>
    /// Charge les resources
    /// </summary>
    class ResourceLoader
    {
        private static ResourceManager m_rsm = null;

        /// <summary>
        /// Initialise l'objet ResourceManager si ce n'est pas fait
        /// </summary>
        private static void LoadResourceManager()
        {
            if( m_rsm == null )
            {
                m_rsm = new ResourceManager("tetris.tetrisresource", 
                    typeof(ResourceLoader).Assembly);
            }
        }

        /// <summary>
        /// Renvoie la chaine correspondant a l'indentificateur
        /// </summary>
        /// <param name="resName">identificateur</param>
        /// <returns>La chaine de ressource</returns>
        public static string GetString(string resName)
        {
            LoadResourceManager();
            return m_rsm.GetString(resName);
        }
    }
}
