// Sylvain MARECHAL
// sylvain.marechal1@libertysurf.fr
// Rev. 01/07/2005
using System;
using System.Collections.Generic;
using System.Text;

namespace tetris
{
    /// <summary>
    /// La signature du delegue a utiliser pour etre prevenu 
    /// de cet evenement
    /// </summary>
    /// <param name="Sender">L'objet qui lance l'evenement</param>
    /// <param name="e">L'evenement decrit ci dessous</param>
    public delegate void TetrisPerduEventHandler(object Sender, EventArgs e);

    /// <summary>
    /// Evenement pour gerer la fin du jeu
    /// </summary>
    class TetrisPerduEventArgs : EventArgs
    {
        private int m_Score;

        /// <summary>
        /// Creation de l'evenement
        /// </summary>
        /// <param name="score">Le dernier score</param>
        public TetrisPerduEventArgs(int score )
        {
            m_Score = score;
        }

        /// <summary>
        /// Renvoie le score
        /// </summary>
        public int Score
        {
            get { return m_Score; }
        }
    }
}
